#
# spec file for package tkdesk (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf blt itcl tcl tcl-devel tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison blt bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip itcl kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         tkdesk
Copyright:    Christian Bolik
Group:        X11/Applications
Provides:     tkdesk 
Requires:     tk
Autoreqprov:  on
Version:      1.2
Release:      316
Summary:      An ultra comfortable graphical file/desktop manager
Source: tkdesk-1.2.tar.bz2
Patch: tkdesk-1.2.dif

%description
TkDesk is a graphical desktop and file manager for UNIX (especially
Linux) and the X Window System.  Compared with other file managers
available, it offers the most complete set of file operations and
services, plus gives the user the ability to configure most aspects of
TkDesk in a powerful way.  The reason for this is the use of Tcl/Tk as
the configuration and (for the greatest part of TkDesk) implementation
language.  TkDesk has been influenced by various other systems and file
managers: NeXT, for laying out the file browser windows, Apple Finder,
for the idea of file annotations and, (shock horror), Windows 95, for
some other (of course minor and unimportant ;-)) inspirations.
This is a brief overview of the most prominent features of TkDesk:
o  Arbitrary number of automatically refreshed file browsers and file
list windows,
o  Configurable file-specific pop-up-menus,
o  Drag and drop,
o  Files and directories may also be dropped onto the root window,
o  Configurable application bar, with several displays and cascadable
pop-up menus for each button, files can also be dropped here,
o  History of visited directories, opened files, executed commands,
and others, which is automatically saved to disk,
o  Find files through their annotation, name, contents, size or age,
o  Trash can for safe deletion of files and directories,
o  Calculation of disk usage for directory hierarchies,
o  All file operations (find, copy, disk usage, etc.) are carried out
in the background,
o  Traversal of directory hierarchies through recursive cascaded
menus,
o  Bookmarks, create menu entries for often used files/directories,
o  Comprehensive hypertext online help,
o  Built-in multi-buffer and undo-capable editor,
o  Close coupling with Netscape and XEmacs,
o  Sound support,
o  Powerful configuration of nearly all aspect of TkDesk through
Tcl/Tk, this also allows the Tcl-literate to extend TkDesk in
arbitrary ways,
o  Free of charge! But see the file COPYING, or menu entry
Help/License for information on usage and redistribution of TkDesk.

Authors:
--------
    Christian Bolik <Christian.Bolik@Mainz.netsurf.de>

SuSE series: tcl

%prep
%setup -n tkdesk-1.2
%patch

%build
autoconf
./configure --prefix=/usr/X11R6 --mandir=/usr/share/man
make

%install
export DISPLAY=dummy:0.0
make install

%files
%doc CREDITS README TODO
/usr/X11R6/lib/TkDesk
/usr/X11R6/bin/tkdesksh
/usr/X11R6/bin/tkdesk
/usr/X11R6/bin/pauseme
/usr/X11R6/bin/ed-tkdesk
/usr/X11R6/bin/cd-tkdesk
/usr/X11R6/bin/od-tkdesk
/usr/X11R6/bin/op-tkdesk
/usr/X11R6/bin/pop-tkdesk
/usr/X11R6/bin/tkdeskclient
/usr/share/man/man1/tkdesk.1.gz
/usr/share/man/man1/cd-tkdesk.1.gz
/usr/share/man/man1/ed-tkdesk.1.gz
/usr/share/man/man1/od-tkdesk.1.gz

%changelog -n tkdesk
* Thu May 10 2001 - cstein@suse.de
- repacked sources with bzip2
* Tue Dec 19 2000 - max@suse.de
- fixed race condition in blt/bltUnixPipe.c
* Thu Nov 30 2000 - max@suse.de
- hacked configure.in to detect itcl8.2
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Jun 09 2000 - max@suse.de
- now using the final 1.2 release and some patches from
  the tkdesk homepage.
- replaced ro's last hack with better fixes for 8.3.
- there is still a segfault problem when klicking through
  directories with many entries (not 8.3-related).
* Fri Jun 09 2000 - ro@suse.de
- hacked for tcl8.3
* Thu Oct 28 1999 - max@suse.de
- new version 1.2 to run with Tcl/Tk 8.0
- changed version string to 1.2-SuSE on demand of the author,
  because this is not yet the final 1.2.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Nov 24 1998 - max@suse.de
- new version 1.1
- applied bugfix patches saveall.fix and trashdir.fix
* Tue Jul 28 1998 - bs@suse.de
- fixed problem with DISPLAY - now really :)
* Tue Jul 28 1998 - hf@suse.de
- fixed problem with DISPLAY
* Tue Jul 21 1998 - hf@suse.de
- update to version 1.0
* Tue Oct 21 1997 - hf@suse.de
- ready for autobuild
- added 4 patches into tkdesk.dif
* Thu Apr 24 1997 - hf@suse.de
  A new version of tkdesk works with tcl7.6 and tk4.2.
  And added 4 new patches.
* Wed Feb 12 1997 - kfr@suse.de
- New Version 1.0b4
- Fix #1 for b4 included:
  file_ops.tcl.diff
  If a file was selected for deletion, the delete
  dialog was opened, and the file name
  changed to another file inside the dialog, still
  the originally selected file was deleted. The
  same held true for copy, move, etc.
  operations.
- Changes since 1.0b3:
  o  Updated to work with Tcl 7.6 and Tk 4.2.
  o  There is now a "Quick Start Guide" available from inside TkDesk.
  o  Some (backward-compatible) configuration changes and additions.
  o  Many bug fixes. In fact, this release is mainly a bug fix release.
  o  Plus LOTS of smaller changes.  Make sure you don't miss any by
  taking a look at the CHANGES file!
* Thu Jan 02 1997 - kfr@suse.de
  Changes since 1.0b2:
  o  Files may now be dropped from any file listbox onto the root window!
  o  Undo functionality and marks for the built-in editor.
  o  Nicer NeXT'ish default AppBar.
  o  Added "." and ".." to the listboxes of file browser windows.
  o  Better handling of file permissions.
  o  Several bug fixes.
  o  Plus LOTS of smaller changes.  Make sure you don't miss any by
  taking a look at the CHANGES file!
* Thu Jan 02 1997 - kfr@suse.de
- version 1.0b2
  For more infos click on 'Help'/'Changes'.
  Start 'tkdesk -default' to start TkDesk with the (newer) default Options.
- Changes since 1.0b1:
  o  Loads of bug fixes.
  o  Improved handling of files with "special" characters in their names,
  such as spaces.
  o  Close coupling with Netscape thanks to Ken Hornstein's netscape-remote.
  HTML files can now be loaded into a running Netscape, and Netscape
  can be instructed to visit a selected URL.  I think this justifies
  the attribute "internet-ready" ;-).
  o  The default application bar now contains displays for the system load
  and the status of the user's mailbox, in addition to the date display.
  All these displays now provide the same functionality as the other
  "normal" buttons (cascadable popup menus, drop sites).
